%mu=2;
mu=10;
beta=0.97;
alpha=0.36;
delta=0.08;

n=300;
m=5;
kmax=25;

rho=0.53;
sigma=0.296;
[s,P]=rouwenhorst(m,0,rho,sigma*sqrt(1-rho^2));
Ps=ergodicdist(P);
N=exp(Ps'*s);
s=exp(s);

h=50;
minr=0;
maxr=(1-beta)/beta;
rate=uniformnodes(minr,maxr,h);
AvgK=zeros(h,1);
k=uniformnodes(0,kmax,n);

for j=1:h
    r=rate(j);
    K=((r+delta)/alpha)^(1/(alpha-1))*N;
    w=(1-alpha)*K^alpha*N^(-alpha);
    [G,V]=discdynprog('aiyagari_obj',k,s,P',beta,[],mu,w,r);
    lambda=jointmarkov(G,P);
    AvgK(j)=sum(sum(k(G).*lambda));
end

rate1=alpha*AvgK.^(alpha-1)-delta;
plot(AvgK,[rate rate1 maxr*ones(h,1)],'LineWidth',2)